#!/bin/sh

set -euo pipefail

# ZooKeeper rewrite its config file. So we just copy our own local config on start
# in the /conf dir so ZooKeeper can then modify at as it wishes.
# When /local/zoo.dyn.cfg is modified, it'll be pushed to ZooKeeper (using zkCli.sh)
# which in turns will update it's local copy /conf/zoo.dyn.cfg on each node
if [ -f "/local/conf/zoo.cfg" ]; then
  cp /local/conf/zoo.cfg /opt/zookeeper/conf/zoo.cfg
fi
if [ -f "/local/conf/zoo.dyn.cfg" ]; then
  cp /local/conf/zoo.dyn.cfg /opt/zookeeper/conf/zoo.dyn.cfg
fi

