dataDir=/data
dataLogDir=/data/log

autopurge.purgeInterval=1
snapshot.compression.method=snappy

initLimit=10
syncLimit=2
audit.enable=true
learner.closeSocketAsync=true
leader.closeSocketAsync=true
quorumListenOnAllIPs=true
standaloneEnabled=false
reconfigEnabled=true
dynamicConfigFile=/opt/zookeeper/conf/zoo.dyn.cfg
4lw.commands.whitelist=*

sslQuorum=true
serverCnxnFactory=org.apache.zookeeper.server.NettyServerCnxnFactory
ssl.quorum.keyStore.location=/secrets/zookeeper.p12
ssl.quorum.keyStore.type=PKCS12
ssl.quorum.keyStore.password=password
ssl.quorum.trustStore.location=/secrets/zookeeper.ca.pem
ssl.quorum.trustStore.type=PEM
ssl.quorum.clientAuth=need

ssl.keyStore.location=/secrets/zookeeper.p12
ssl.keyStore.type=PKCS12
ssl.keyStore.password=password
ssl.trustStore.location=/secrets/zookeeper.ca.pem
ssl.trustStore.type=PEM

client.portUnification=true
zookeeper.superUser=root
X509AuthenticationProvider.superUser=CN=root.[[ .instance ]][[ .consul.suffix ]].service.[[ .consul.domain ]],OU=[[ .vault.pki.ou ]]
enforce.auth.schemes=sasl,x509
#enforce.auth.schemes=x509
enforce.auth.enabled=true
authProvider.sasl=org.apache.zookeeper.server.auth.SASLAuthenticationProvider
authProvider.x509=org.apache.zookeeper.server.auth.X509AuthenticationProvider
enableEagerACLCheck=true

[[- if conv.ToBool .prometheus.enabled ]]

metricsProvider.className=org.apache.zookeeper.metrics.prometheus.PrometheusMetricsProvider
metricsProvider.httpHost=127.0.0.1
metricsProvider.httpPort=7000
metricsProvider.exportJvmInfo=true
[[- end ]]

admin.enableServer=false
